import 'package:get_it/get_it.dart';
import 'package:logger/logger.dart';
import 'package:rasadyar_core/infrastructure/local/hive_local_storage.dart';

final diCore = GetIt.instance;

Future<void> setupAllCoreProvider() async {
  await _setUpLogger();
  await _setupLocalStorage();
  await _setupRemote();
  await diCore.allReady();
}

Future<void> _setUpLogger() async{
  diCore.registerSingleton<Logger>(Logger());
}

Future<void> _setupLocalStorage() async {
  diCore.registerSingleton<HiveLocalStorage>(HiveLocalStorage());
}



Future<void> _setupRemote() async {
//  diCore.registerSingleton<HiveLocalStorage>(HiveLocalStorage());
}
